/**********************************************************************************
	Project for shifting data in and out of a DS1302 Real Time Clock chip

	Based on Demo1302.c by www.maxim-ic.com

	Used PIC16F690 device.

	written by Jess Lewis on 4/20/2011
***********************************************************************************/

#define _XTAL_FREQ		4000000 //used for internal delay functions

//secs, mins, hrs, date, month, day, year
unsigned char timeArray[] = {0, 0, 0, 0, 0, 0, 0};
unsigned char datetimestring[14];		//for displaying date/time

void DS1302ChangeDT(unsigned char selecteddigit);			//changes time/date
void DS1302Config_IO(void);     							//configure i/o for DS1302 comms
void read_DS1302TimeDate(void);								//read time/date from DS1302
void initialize_DS1302(void);								//initialize DS1302
void setTimeDate_DS1302(void);								//set time/date on DS1302
void reset_3w(void);										//reset the DS1302
void wbyte_3w(unsigned char W_Byte);						//write a byte to the DS1302
unsigned char rbyte_3w(void);								//read a byte from the DS1302







